/*
 * Analogue TV Player plugin for VDR
 *
 * Copyright (C) 2003, 2005 Andreas Kool <akool@gmx.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 * Version: $Id: redremote.h,v 1.4 2005/01/09 18:16:09 akool Exp $
 * Release: $Name:  $
 *
 */

#ifndef REDREMOTE_H
#define REDREMOTE_H

#include <vdr/plugin.h>

class cRedRemote : public cThread {
public:
	cRedRemote();
	~cRedRemote();

        int  Open();
	void Tune(int channel);
        void Send(char *text);

	virtual void Action();  // Used for the backup hack
private:
        char    devname[FILENAME_MAX+1];
        int     mode;           // Current redremote mode
	int	fd;		// File descriptor to use
	cMutex	mutex;		// Used to ensure we don't try to send two
				// commands to the digibox at once
};

#endif
